Package org.opensaml.soap.messaging.context

# Class InboundSOAPContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.soap.messaging.context.InboundSOAPContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class InboundSOAPContext extends BaseContext
A subcontext holding information related to processing of an inbound SOAP message.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`finalDestination`
Flag indicating whether the node is the final destination for the current message processing context.
`private LazySet<String>`
`nodeActors`
The set of actor URI's under which this SOAP node is operating.
`private LazySet<XMLObject>`
`understoodHeaders`
The set of headers that have been understood.

## Constructor Summary

Constructors
Constructor
Description
`InboundSOAPContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getNodeActors()`
Get the (modifiable) set of actor URI's under which this SOAP node is operating.
`Set<XMLObject>`
`getUnderstoodHeaders()`
Get the (modifiable) set of headers which have been understood.
`boolean`
`isFinalDestination()`
Get the flag indicating whether the node is the final destination for the current message processing context.
`void`
`setFinalDestination(boolean newValue)`
Set the flag indicating whether the node is the final destination for the current message processing context.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### nodeActors

@Nonnull private LazySet<String> nodeActors
The set of actor URI's under which this SOAP node is operating.

### finalDestination

private boolean finalDestination
Flag indicating whether the node is the final destination for the current message processing context. Defaults to: true

### understoodHeaders

@Nonnull private LazySet<XMLObject> understoodHeaders
The set of headers that have been understood.

## Constructor Details

### InboundSOAPContext

public InboundSOAPContext()
Constructor.

## Method Details

### getNodeActors

@Nonnull public Set<String> getNodeActors()
Get the (modifiable) set of actor URI's under which this SOAP node is operating.

Returns:
  the set of node actor URI's

### getUnderstoodHeaders

@Nonnull public Set<XMLObject> getUnderstoodHeaders()
Get the (modifiable) set of headers which have been understood.

Returns:
  the set of node actor URI's

### isFinalDestination

public boolean isFinalDestination()
Get the flag indicating whether the node is the final destination for the current message processing context.

Defaults to: true.

Returns:
  true if is the final destination, false otherwise

### setFinalDestination

public void setFinalDestination(boolean newValue)
Set the flag indicating whether the node is the final destination for the current message processing context.

Defaults to: true.

Parameters:
  `newValue` - the new flag value